## sweets-elements 0.13

=== chipmunk_src/CMakeLists.txt ===
#INCLUDE_DIRECTORIES(${CHIPMUNK_SOURCE_DIR}/include)

ADD_LIBRARY(chipmunk SHARED 
	CMakeLists.txt
	chipmunk.c
	cpArbiter.c
	cpArray.c
	cpBB.c
	cpBody.c
	cpCollision.c
	cpHashSet.c
	cpJoint.c
	cpPolyShape.c
	cpShape.c
	cpSpace.c
	cpSpaceHash.c
	cpVect.c
)

ADD_LIBRARY(chipmunk_static STATIC 
	CMakeLists.txt
	chipmunk.c
	cpArbiter.c
	cpArray.c
	cpBB.c
	cpBody.c
	cpCollision.c
	cpHashSet.c
	cpJoint.c
	cpPolyShape.c
	cpShape.c
	cpSpace.c
	cpSpaceHash.c
	cpVect.c
)

INSTALL_TARGETS(/usr/local/lib chipmunk)

## sweets-elements 0.13-2.2trisquel1

=== debian/changelog ===
sweets-elements (0.13-2.2trisquel1) taranis; urgency=low

  * Compiled for Trisquel On a Sugar TOAST

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 19 Feb 2011 02:25:36 +0000

sweets-elements (0.13-2.2) unstable; urgency=low

  * Zero Sugar auto-generated changelog

 -- Sugar Bazaar <bazaar@sugarlabs.org>  Wed, 09 Feb 2011 06:54:38 +0000

=== debian/control ===
Source: sweets-elements
Section: universe/x11
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Homepage: http://elements.linuxuser.at
Build-Depends: debhelper, python, python-setuptools

Package: sweets-elements
Depends: sweets-pybox2d
Architecture: all
Description: 2D Physics API for Python
 2D Physics API for Python

=== debian/rules ===
#!/usr/bin/make -f

patch-stamp:
	
	touch $@

configure-stamp: patch-stamp
	dh_testdir
	
	touch $@

build: configure-stamp
	dh_testdir
	python setup.py build

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	python setup.py install --root=$(CURDIR)/debian/sweets-elements/0bs.dist --install-lib=/
	python $(CURDIR)/debian/sweet_install.py move deb $(CURDIR)/debian/sweets-elements/0bs.dist $(CURDIR)/debian/sweets-elements/opt/sweets/elements '' '' > sweets-elements.files
	python $(CURDIR)/debian/sweet_install.py move deb $(CURDIR)/debian/sweet_files $(CURDIR)/debian/sweets-elements/opt/sweets/elements '' '' >> sweets-elements.files
	chmod 0755 $(CURDIR)/debian/sweets-elements/opt/sweets/elements/*.run 2>/dev/null || true
	rm -rf $(CURDIR)/debian/sweets-elements/0bs.dist

clean:
	dh_testdir
	dh_testroot
	dh_clean configure-stamp patch-stamp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_install -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_install -s
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build clean install binary-indep binary-arch binary
